Forum

Problème de sommes de contrôle

Författare Svar
Zalexou Sunday 29 March 2015 at 14:49
ZalexouAnonymous

Bonjour,

 

Alors depuis peu j'ai un souci avec POL. Dès que PlayOnLinux essaye de télécharger une ressource, le chechsum échoue, et ce quelle que soit la source. J'utilise POL version 4.2.6 sur Mint 17.1 (install fraiche) 

J'ai essayé plusieurs installations différentes, et à chaque fois le premier téléchargement échoue. 

Exemple avec une tentative d'installation d'Hearthstone, l'installation de Flash échoue:

[POL_Download_Resource]Message:Downloading resource http://fpdownload.macromedia.com/get/flashplayer/pdc/16.0.0.305/install_flash_player.exe
cat: erreur d'écriture: Relais brisé (pipe)
cat: : Aucun fichier ou dossier de ce type

[POL_Download_Resource] Error: POL_Download_Resource - MD5 sum mismatch ! (1 attempt)

 

Autre exemple si j'essayer d'installer League of Legends, c'est carrément l'installateur:

Connexion vers l3cdn.riotgames.com (l3cdn.riotgames.com)|80.236.32.34|:80... connecté.
requête HTTP transmise, en attente de la réponse... 200 OK
Taille : 22201982 (21M) [application/octet-stream]
Enregistre : «/home/alex/.PlayOnLinux//tmp/LeagueOfLegends/LeagueOfLegendsBaseEUW.exe.part»

...

2015-03-29 14:32:03 (1,97 MB/s) - «/home/alex/.PlayOnLinux//tmp/LeagueOfLegends/LeagueOfLegendsBaseEUW.exe.part» enregistré [22201982/22201982]

Une fois le téléchargement terminé, j'ai un prompt me disant que le téléchargement est peut-être corrompu et on me propose de réesayer (évidemment l'erreur se reproduit à chaque fois)

 

J'ai essayé sur une bonne vingtaine de jeux, à chaque fois j'ai un checksum mismatch dès le premier téléchargement.

Lors de mes recherches je suis tombé sur des personne ayant ce problème de sommes de contrôle, mais ils l'ont pour la plupart résolu une mettant simplement à jour POL, ou alors il sagissait d'une erreur isolée sur un seul paquet et un téléchargement manuel réglait le problème. Dans mon cas il semble que je ne puisse rien télécharger du tout. 

Dernière chose: mon installation est toute fraiche, j'ai aucun version précédente de POL, ou de wine, tout est "fresh out of the box", même mon /home. A noter que sur mon installation précédente (Ubuntu 14.04) le même problème est survenu du jour au lendemain.

J'ai essayé différentes versions de POL: celle du dépot, 4.2.2 à l'heure ou je poste, et la version actuelle 4.2.6 mais le problème reste le même.

Je suis un peu à court d'idées, un peu d'aide serait la bienvenue ;)

Merci d'avance,

 

Zalexou

 

petch Sunday 29 March 2015 at 19:39
petch
Developer

Bonsoir,

Est-ce que tu as "awk" installé ? Sinon essayes d'installer le paquet "gawk" or "mawk", je viens de voir qu'il n'est pas dans les dépendances du paquet, pourtant il est encore utilisé à certains endroits comme dans la fonction POL_MD5_file...

J'imagine que dans une installation récente il se peut qu'il ne soit pas présent (c'est une dépendance de lsb-core, mais il me semble qu'Ubuntu ne l'installe pas par défaut).

Zalexou Monday 30 March 2015 at 18:43
ZalexouAnonymous

Bonsoir,

Merci de te pencher sur mon cas; je nage un peu dans le flou là :p

A priori awk est installé:

alex@alex-mint ~ $ sudo apt-cache policy gawk
gawk:
  Installé : 1:4.0.1+dfsg-2.1ubuntu2
  Candidat : 1:4.0.1+dfsg-2.1ubuntu2
 Table de version :
 *** 1:4.0.1+dfsg-2.1ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
alex@alex-mint ~ $ sudo apt-cache policy mawk
mawk:
  Installé : 1.3.3-17ubuntu2
  Candidat : 1.3.3-17ubuntu2
 Table de version :
 *** 1.3.3-17ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

Sinon rien de neuf, j'ai réessayé de tout désinstaller/réinstaller mais j'en reviens toujours au même point.

J'ai un autre PC sous Ubuntu14.04, dès que j'ai l'occasion je vais essayer de voir si j'ai le même souci.

Merci

 

Zalexou Wednesday 1 April 2015 at 12:01
ZalexouAnonymous

Update:

J'ai testé depuis mon PC au bureau, qui a le même OS que mon PC chez moi, càd Mint 17.1 là tout fonctionne.

Je suis un peu perplexe, les deux PC ont le même OS, la même version de POL mais un marche et pas l'autre.

Est-t-il possible que ça vienne de ma connexion? Ça me paraîtrait étrange, le FAI est le même aux deux endroits (Numéricable).

Zalexou Sunday 7 June 2015 at 22:13
ZalexouAnonymous

Re Update:

Je me permets de reprendre le thread car mon problème persiste, malgré une nouvelle installation mes checksums sont tous incorrects. J'ai essayé avec la version 4.2.8 (toujours sur Mint 17.1) mais rien de neuf.

J'ai réessayé avec plein de jeux différents, toujours pareil. Par contre sur Tera j'ai un un message étrange:

 

Erreur! Incohérence de fichiers

Local: printcheck
Serveur: a4ef6c91d418418b287cefe31f958175

Voulez-vous réessayer?

 

Je peux même pas voir mon checksum local, je sais pas d'où vient ce "printcheck".

J'ai réessayé aussi sur mon autre PC sous 14.04 et le résultats sont les mêmes.

 

 



 

Quentin PÂRIS Tuesday 23 June 2015 at 22:43
Quentin PÂRIS
Admin

"printcheck" ?

PlayOnLinux 4 utilise la commande sha1sum pour calculer les hashs. Tu peux regarder ce qui se passe si tu l'utilises manuellement ?

petch Tuesday 23 June 2015 at 22:52
petch
Developer

Bonsoir,

Il pourrait être intéressant de regarder ce qui est téléchargé, probablement sous forme de fichiers dans ~/.PlayOnLinux/tmp/

Une possibilité est que différents sites bloquent PlayOnLinux à cause du "user agent" utilisé (problèmes différents avec les versions jusqu'à 4.2.6 (#5094) et 4.2.7/4.2.8 (#5092). En attendant la sortie d'une 4.2.9, il pourrait être intéressant de tester avec la version de développement (instructions "git" dans la page de téléchargement).

Pour "printcheck" je n'ai absolument pas la moindre idée d'où cela peut venir, à priori PoL ne contient pas cette chaîne...